#define NOP __asm__ __volatile__ ("nop\n\t")

void UTouch::touch_WriteData(byte data)
{
	byte temp;

	temp=data;
	cbi(P_CLK, B_CLK);

	for(byte count=0; count<8; count++)
	{
		if(temp & 0x80)
			sbi(P_DIN, B_DIN);
		else
			cbi(P_DIN, B_DIN);
		temp = temp << 1; 
		cbi(P_CLK, B_CLK);  
             	//NOP; // aus ITCB02 lib
		sbi(P_CLK, B_CLK);
		//NOP; // aus ITCB02 lib
	}
}

word UTouch::touch_ReadData()
{
	word data = 0;
	//byte nop; // aus ITCB02 lib

	for(byte count=0; count<12; count++)
	{
		data <<= 1;
		sbi(P_CLK, B_CLK);
		//NOP; // aus ITCB02 lib
		cbi(P_CLK, B_CLK); 
		NOP; // aus ITCB02 lib
		if (rbi(P_DOUT, B_DOUT))
			data++;
	}
	return(data);
}

